> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# カスタム日付範囲のアクティブユーザーの取得 (GET)

> 任意の日付範囲における一意のアクティブユーザー数を取得します。

指定された期間内に、少なくとも min_sessions 回セッションを作成したか、少なくとも min_searches 回検索を実行したユーザーは、アクティブと見なされます。

指定された全範囲にわたる一意のアクティブユーザー数を、単一のカウント値として返します。

<div id="permissions">
  ## 権限
</div>

Enterprise レベルで `ViewAccountMetrics` 権限が付与されたサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/enterprise/metrics/active-users
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/metrics/active-users:
    get:
      tags:
        - metrics
      summary: カスタム日付範囲のアクティブユーザーの取得 (GET)
      description: >-
        任意の日付範囲における一意のアクティブユーザー数を取得します。


        指定された期間内に、少なくとも min_sessions 回セッションを作成したか、少なくとも min_searches
        回検索を実行したユーザーは、アクティブと見なされます。


        指定された全範囲にわたる一意のアクティブユーザー数を、単一のカウント値として返します。
      operationId: handle_get_active_users_metrics_v3_enterprise_metrics_active_users_get
      parameters:
        - in: query
          name: time_before
          required: true
          schema:
            title: Time Before
            type: integer
        - in: query
          name: time_after
          required: true
          schema:
            title: Time After
            type: integer
        - in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Org Ids
        - in: query
          name: min_sessions
          required: false
          schema:
            default: 1
            minimum: 0
            title: Min Sessions
            type: integer
        - in: query
          name: min_searches
          required: false
          schema:
            default: 1
            minimum: 0
            title: Min Searches
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActiveUserMetricsResponse'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    ActiveUserMetricsResponse:
      description: アクティブユーザー数の推移を示す単一エントリ。
      properties:
        active_users:
          title: Active Users
          type: integer
        end_time:
          title: End Time
          type: integer
        start_time:
          title: Start Time
          type: integer
      required:
        - start_time
        - end_time
        - active_users
      title: ActiveUserMetricsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````